#include<bits/stdc++.h>
#include "code.h"
using namespace std;

int x,y;
int visina;
int pom1,pom2;

std::vector<int> Nadji(int N, int K)
{
	vector<int> out;
	srand(time(NULL));
	for(int i=0;i<N;i++)
    {
        x=rand()%N+1;
        y=rand()%N+1;
        visina=Pitaj(x,y);
        do{
                pom1=rand()%N+1;
        }while(pom1==x);
        do{
                pom2=rand()%N+1;
        }while(pom2==y);
        if(visina>Pitaj(x,pom2) && visina<Pitaj(pom1,y))
        {

            out.push_back(x);
            out.push_back(y);
            return out;
        }
    }
    out.push_back(0);
    out.push_back(0);
    return out;
}